5107R/5108R -> 5207R/5208R Update issues

Posted by: mstauber Category: General

If your BlueOnyx 5107R/5108R recently auto-updated via YUM and you encounter any issues, then please read this.

We recently released YUM updates to upgrade all old GUI BlueOnyx 5107R/5108R to the newer 5207R/5208R respectively. In the wake of that several users reported issues and we'd like to summarize the usual problems here.

Unable to login to the GUI interface?

If you are unable to login to the GUI interface, then most likely your password contains characters that are no longer supported in a password. To prevent XSS attacks and certain exploits the password field in the GUI login page is stripping unsupported characters out of entered passwords. Below you can see which special characters are no longer usable and which are still supported:

Forbidden:
whitespace plus the following: "&'/<>?@[/]^_`{|}~

Allowed:
Anything alphanumeric plus: !#$%()*+,-.:;=

If you lost "admin" access to the GUI, then please login by SSH (that will still work) and use "passwd admin" to set a new password that omits any of the now forbidden characters.

Vsite or AdmServ SSL issues?

If SSL is no longer working for the GUI or for Vsites, then please run the following command:

#> /usr/sausalito/sbin/SSL_fixer.pl

That will make the necessary adjustments to activate SSL again.You can also use the SSL related GUI pages to request a new Let's Encrypt certificate and that should fix the issues as well.

Anything else?

If you did run into any other issue during this YUM update to 5207R/5208R, then please let us know via Email or Support Ticket and we'll help you to fix it.


Return
General
Jul 26, 2019 Category: General Posted by: mstauber
Previous page: fuse-sshfs Next page: BlueOnyx 5209R manual install